Nice add-on, please update to FF7.1 and beyond Rated 4 out of 5 stars

Might have incompatibility issue with Favicon Picker 2

This review is for a previous version of the add-on (4.2.0.1-signed.1-signed).